'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const batchDelegate = require('@graphql-tools/batch-delegate');
const batchExecute = require('@graphql-tools/batch-execute');
const delegate = require('@graphql-tools/delegate');
const graphqlTagPluck = require('@graphql-tools/graphql-tag-pluck');
const _import = require('@graphql-tools/import');
const links = require('@graphql-tools/links');
const load = require('@graphql-tools/load');
const codeFileLoader = require('@graphql-tools/code-file-loader');
const gitLoader = require('@graphql-tools/git-loader');
const githubLoader = require('@graphql-tools/github-loader');
const graphqlFileLoader = require('@graphql-tools/graphql-file-loader');
const moduleLoader = require('@graphql-tools/module-loader');
const urlLoader = require('@graphql-tools/url-loader');
const loadFiles = require('@graphql-tools/load-files');
const merge = require('@graphql-tools/merge');
const mock = require('@graphql-tools/mock');
const relayOperationOptimizer = require('@graphql-tools/relay-operation-optimizer');
const resolversComposition = require('@graphql-tools/resolvers-composition');
const schema = require('@graphql-tools/schema');
const stitch = require('@graphql-tools/stitch');
const utils = require('@graphql-tools/utils');
const wrap = require('@graphql-tools/wrap');
const optimize = require('@graphql-tools/optimize');



Object.keys(batchDelegate).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return batchDelegate[k];
		}
	});
});
Object.keys(batchExecute).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return batchExecute[k];
		}
	});
});
Object.keys(delegate).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return delegate[k];
		}
	});
});
Object.keys(graphqlTagPluck).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return graphqlTagPluck[k];
		}
	});
});
Object.keys(_import).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return _import[k];
		}
	});
});
Object.keys(links).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return links[k];
		}
	});
});
Object.keys(load).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return load[k];
		}
	});
});
Object.keys(codeFileLoader).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return codeFileLoader[k];
		}
	});
});
Object.keys(gitLoader).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return gitLoader[k];
		}
	});
});
Object.keys(githubLoader).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return githubLoader[k];
		}
	});
});
Object.keys(graphqlFileLoader).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return graphqlFileLoader[k];
		}
	});
});
Object.keys(moduleLoader).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return moduleLoader[k];
		}
	});
});
Object.keys(urlLoader).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return urlLoader[k];
		}
	});
});
Object.keys(loadFiles).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return loadFiles[k];
		}
	});
});
Object.keys(merge).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return merge[k];
		}
	});
});
Object.keys(mock).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return mock[k];
		}
	});
});
Object.keys(relayOperationOptimizer).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return relayOperationOptimizer[k];
		}
	});
});
Object.keys(resolversComposition).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return resolversComposition[k];
		}
	});
});
Object.keys(schema).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return schema[k];
		}
	});
});
Object.keys(stitch).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return stitch[k];
		}
	});
});
Object.keys(utils).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return utils[k];
		}
	});
});
Object.keys(wrap).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return wrap[k];
		}
	});
});
Object.keys(optimize).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return optimize[k];
		}
	});
});
//# sourceMappingURL=index.cjs.js.map
